From 1689fe2b810304161a8449d36b6dfb845c90eb09 Mon Sep 17 00:00:00 2001
From: Andy Shaw <andy.shaw@qt.io>
Date: Mon, 9 Nov 2020 15:37:35 +0100
Subject: [PATCH 054/262] Cocoa: Allow CMD+H to hide the application when a
 tooltip is visible
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Since native applications allow CMD+H to hide an application when the
tooltip is visible then we should do too. Other popup windows will
still block the call.

Fixes: QTBUG-82626
Change-Id: Ieac86d6b3cb2152a3ba82d8bd850f13bfeedb7c8
Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
(cherry picked from commit 5f2b53f13c40c31da21d8352312962bb97cb8c97)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 src/plugins/platforms/cocoa/qcocoamenuloader.mm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/plugins/platforms/cocoa/qcocoamenuloader.mm b/src/plugins/platforms/cocoa/qcocoamenuloader.mm
index a7c17fc177..5f7c361a3d 100644
--- a/src/plugins/platforms/cocoa/qcocoamenuloader.mm
+++ b/src/plugins/platforms/cocoa/qcocoamenuloader.mm
@@ -322,7 +322,8 @@
         return [NSApp validateMenuItem:menuItem];
 
     if (menuItem.action == @selector(hide:)) {
-        if (QCocoaIntegration::instance()->activePopupWindow())
+        auto *w = QCocoaIntegration::instance()->activePopupWindow();
+        if (w && (w->window()->type() != Qt::ToolTip))
             return NO;
         return [NSApp validateMenuItem:menuItem];
     }
-- 
2.33.0

